Get WhatsApp template

GET
/beta/whatsapp/templates/{templateId}

Get a WhatsApp template by id with template's category and approval status.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

templateId*string
Formatuuid

Response Body

The WhatsApp template

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/beta/whatsapp/templates/{templateId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "order_confirmation",
"language": "en",
"createdAt": "2026-01-01T00:00:00Z",
"category": "UTILITY",
"approvalStatus": "approved",
"body": "Your order {{1}} has been confirmed.",
"variables": {
"1": "12345"
}
}
}